/*
Theme Name: Twenty Twenty-Five Child
Template: twentytwentyfive
*/
/*
 * Font smoothing.
 * This is a niche setting that will not be available via Global Styles.
 * https://github.com/WordPress/gutenberg/issues/35934
 */

body {
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
}

/*
 * Text and navigation link styles.
 * Necessary until the following issue is resolved in Gutenberg:
 * https://github.com/WordPress/gutenberg/issues/27075
 */

a {
	text-decoration: none;
}

a:hover,
a:focus {
	text-decoration-style: none;
	outline: none;
	color: var(--wp--preset--color--accent-1);
}

a:active {
	text-decoration: none;
	color: var(--wp--preset--color--accent-1);
}

.wp-block-navigation .wp-block-navigation-item a:hover,
.wp-block-navigation .wp-block-navigation-item a:focus {
	text-decoration: none;
	text-decoration-style: none;
	outline: none;
	color: var(--wp--preset--color--accent-1);
}

.wp-block-button__link{
	align-items: center;
}

/*
 * Search and File Block button styles.
 * Necessary until the following issues are resolved in Gutenberg:
 * https://github.com/WordPress/gutenberg/issues/36444
 * https://github.com/WordPress/gutenberg/issues/27760
 */

.wp-block-search__button,
.wp-block-file .wp-block-file__button {
	background-color: var(--wp--preset--color--primary);
	border-radius: 0;
	border: none;
	color: var(--wp--preset--color--background);
	font-size: var(--wp--preset--font-size--medium);
	padding: calc(.667em + 2px) calc(1.333em + 2px);
}

/*
 * Button hover styles.
 * Necessary until the following issue is resolved in Gutenberg:
 * https://github.com/WordPress/gutenberg/issues/27075
 */

.wp-block-search__button:hover,
.wp-block-file .wp-block-file__button:hover,
.wp-block-button__link:hover {
	opacity: 0.90;
}

/*
 * Alignment styles.
 * These rules are temporary, and should not be relied on or
 * modified too heavily by themes or plugins that build on
 * Twenty Twenty-Two. These are meant to be a precursor to
 * a global solution provided by the Block Editor.
 *
 * Relevant issues:
 * https://github.com/WordPress/gutenberg/issues/35607
 * https://github.com/WordPress/gutenberg/issues/35884
 */

.wp-site-blocks,
body > .is-root-container,
.edit-post-visual-editor__post-title-wrapper,
.wp-block-group.alignfull,
.wp-block-group.has-background,
.wp-block-cover.alignfull,
.is-root-container .wp-block[data-align="full"] > .wp-block-group,
.is-root-container .wp-block[data-align="full"] > .wp-block-cover {
	padding-left: var(--wp--custom--spacing--outer);
	padding-right: var(--wp--custom--spacing--outer);
}

.wp-site-blocks .alignfull,
.wp-site-blocks > .wp-block-group.has-background,
.wp-site-blocks > .wp-block-cover,
.wp-site-blocks > .wp-block-template-part > .wp-block-group.has-background,
.wp-site-blocks > .wp-block-template-part > .wp-block-cover,
body > .is-root-container > .wp-block-group.has-background,
body > .is-root-container > .wp-block-cover,
body > .is-root-container > .wp-block-template-part > .wp-block-group.has-background,
body > .is-root-container > .wp-block-template-part > .wp-block-cover,
.is-root-container .wp-block[data-align="full"] {
	margin-left: calc(-1 * var(--wp--custom--spacing--outer)) !important;
	margin-right: calc(-1 * var(--wp--custom--spacing--outer)) !important;
	width: unset;
}

/* Blocks inside columns don't have negative margins. */
.wp-site-blocks .wp-block-columns .wp-block-column .alignfull,
.is-root-container .wp-block-columns .wp-block-column .wp-block[data-align="full"],
/* We also want to avoid stacking negative margins. */
.wp-site-blocks .alignfull:not(.wp-block-group) .alignfull,
.is-root-container .wp-block[data-align="full"] > *:not(.wp-block-group) .wp-block[data-align="full"] {
	margin-left: auto !important;
	margin-right: auto !important;
	width: inherit;
}

/*
 * Responsive menu container padding.
 * This ensures the responsive container inherits the same
 * spacing defined above. This behavior may be built into
 * the Block Editor in the future.
 */
.wp-block-navigation__responsive-container.is-menu-open {
	padding-top: var(--wp--custom--spacing--outer);
	padding-bottom: var(--wp--custom--spacing--large);
	padding-right: var(--wp--custom--spacing--outer);
	padding-left: var(--wp--custom--spacing--outer);
}

/* 
JOB50 Custom Styles 
*/
.wp-block-site-logo{
	position: relative;
	z-index: 100;
}
.site-content{
	margin-left: auto !important;
	margin-right: auto !important;
	width: inherit;
	max-width: 2360px;
}
main{
	padding-top: 100px !important;
	min-height: calc(100vh - 110px - 200px);
}
h1, h2, h3{
	line-height: 1;
}
main p a {
	color: var(--wp--preset--color--accent-4);
}
/* Navigation Menu Items */
.wp-block-navigation .wp-block-navigation-item, .footer-nav a {
	text-transform: uppercase;
	font-size: 14px;
	letter-spacing: .4px;
	margin-left: 6px;
}
.wp-block-navigation-submenu{
	padding-top: 8px;
}
#userLoggedButton .avatar {
	border-radius: 9999em;
	margin-right: -10px;
	margin-left: 6px;
	background-color: #FFF;
}
.footer-nav p {
	margin: 10px 0 0 0;
}
.footer-nav a {
	margin: 0;
}
.footer-nav, .footer-nav .wp-block-columns, .sexy-counter-wrapper{
	position: relative;
	z-index: 10;
}
.footer-nav::before {
	content: "";
	position: absolute;
	display: block;
	width: 489px;
	height: 538px;
	background-image: url(assets/images/job50-logo-arrow-light-gray.png);
	z-index: 0;
	left: -53%;
	top: -44px;
}
/* effects */
.bg-simple-fun::before {
    content: "";
    clip-path: polygon(0 0, 0 100%, 100% 0);
    background-repeat: no-repeat;
    background-size: contain;
	background-position-x: 10%;
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
    background-color: rgb(86,167,200);
}
.bg-simple-fun.figure-1::before {
	background-image: url(assets/images/senior-women-phone.png);
}
.bg-simple-fun.figure-2::before {
	background-image: url(assets/images/senior-men-artist.png);
}
.our-action-banner > .wp-block-column{
	position: relative;
}
.our-action-banner .col-1::before, .our-action-banner .col-1::after, .our-action-banner .col-2::before{
	content: "";
	display: block;
	position: absolute;	
	background-color: var(--wp--preset--color--accent-4);	
	border-radius: 9999em;
}
.our-action-banner .col-1::before {
	width: 90px;
	height: 90px;
	top: 36%;
	left: 3%;
}
.our-action-banner .col-1::after {
	width: 150px;
	height: 150px;
	top: 57%;
	left: 32%;
}
.our-action-banner .col-2::before {
	width: 285px;
	height: 285px;
	top: 11%;
	left: -8%;
	background-image: url(assets/images/ic-action.svg);
	background-repeat: no-repeat;
	background-size: 175px;
	background-position: center;
	z-index: 100;
}
.our-action-columns{
	background-image: url(assets/images/picto-giro-ghost.svg);
	background-repeat: no-repeat;
	background-size: contain;
	background-position: center;
}
.our-action-columns .picto-plus {
	position: relative;
}
.our-action-columns .picto-plus::after {
	content: "";
	display: block;
	position: absolute;
	width: 80px;
	height: 80px;
	background-image: url(assets/images/picto-plus-medium.svg);
	background-repeat: no-repeat;
	background-size: contain;
	background-position: center;
	bottom: -46px;
	left: 50%;
	transform: translateX(-50%);
	z-index: 100;
}
.our-action-columns .picto-matching{
	position: relative;
}
.our-action-columns .picto-matching::after {
	content: "";
	display: block;
	position: absolute;
	width: 250px;
	height: 250px;
	background-image: url(assets/images/picto-matching.svg);
	background-repeat: no-repeat;
	background-size: contain;
	background-position: center;
	right: -150px;
	top: 50%;
	transform: translateY(-50%);
	z-index: 100;
}
.timeline {
	position: relative;
	width: 100%;
	max-width: 1140px;
	margin: 0 auto;
	padding: 15px 0;
}
.timeline::after {
	content: '';
	position: absolute;
	width: 8px;
	background: var(--wp--preset--color--accent-1);
	top: 0;
	bottom: 0;
	left: 50%;
	margin-left: -4px;
}
.container {
	padding: 32px !important;
	position: relative;
	background: inherit;
	width: 50%;
	margin: 0 !important;
}
.container.left {
	left: 0;
}
.container.right {
	left: 50%;
}
.container::after {
	content: '';
	position: absolute;
	width: 16px;
	height: 16px;
	top: calc(50% - 8px);
	right: -8px;
	background: #ffffff;
	border: 2px solid var(--wp--preset--color--accent-1);;
	border-radius: 16px;
	z-index: 1;
}
.container.right::after {
	left: -8px;
}
.container::before {
	content: '';
	position: absolute;
	width: 50px;
	height: 8px;
	top: calc(50% - 4px);
	right: 6px;
	background: var(--wp--preset--color--accent-1);
	z-index: 1;
}
.container.right::before {
	left: 6px;
}
.container .date {
	position: absolute;
	display: inline-block;
	top: calc(50% - 8px);
	text-align: center;
	font-size: 16px;
	font-weight: bold;
	color: var(--wp--preset--color--accent-1);
	text-transform: uppercase;
	letter-spacing: 1px;
	z-index: 1;
}
.container.left .date {
	right: -65px;
}
.container.right .date {
	left: -65px;
}
.container .content {
	padding: 32px;
	position: relative;
	border-radius: 32px;
	margin: 0;
	z-index: 200;
}

  @media (max-width: 767.98px) {
	.timeline::after {
	  left: 90px;
	}
  
	.container {
	  width: 100%;
	  padding-left: 120px;
	  padding-right: 30px;
	}
  
	.container.right {
	  left: 0%;
	}
  
	.container.left::after, 
	.container.right::after {
	  left: 82px;
	}
  
	.container.left::before,
	.container.right::before {
	  left: 100px;
	  border-color: transparent #006E51 transparent transparent;
	}
  
	.container.left .date,
	.container.right .date {
	  right: auto;
	  left: 15px;
	}
  
	.container.left .icon,
	.container.right .icon {
	  right: auto;
	  left: 146px;
	}
  
	.container.left .content,
	.container.right .content {
	  padding: 30px 30px 30px 90px;
	  border-radius: 500px 0 0 500px;
	}
  }
/* Blocks */
.wp-block-media-text > .wp-block-media-text__content {
	max-width: 720px;
	padding: 0 8% 0 0;
}
.wp-block-media-text.has-media-on-the-right > .wp-block-media-text__content {
	padding: 0;
	justify-self: self-end;
}
.is-style-ghost{
	opacity: 0.2;
}

/*Links */
.wp-block-button__link:hover{
	opacity: 1;
}
.wp-block-button__link:hover, .wp-block-button__link:active{
	color: #FFF;
}


/* Responsive */
@media only screen and (max-width: 1000px) {
    .banner-img > .has-background{
		background-image: none !important;
	}
}
@media only screen and (max-width: 780px) {
	.entry-content{
		padding: 0px !important;
	}
    .wp-block-latest-posts.is-grid li {
        width: 100%;
        margin: 16px;
    }
	p{
		font-size: 19px;
	}
    /* Force table to not be like tables anymore */
	table, thead, tbody, th, td, tr { 
		display: block; 
	}
	/* Hide table headers (but not display: none;, for accessibility) */
	thead tr { 
		position: absolute;
		top: -9999px;
		left: -9999px;
        display: none;
	}
	tr { 
        border: none;
        background-color: transparent!important;
    }
	td { 
		/* Behave  like a "row" */
		border: none;
		position: relative;
		padding-left: 50%; 
	}	
	td:before { 
		position: relative;
        display: block;
        margin-bottom: 10px;
        text-align: center;
		white-space: nowrap;
        background-color: #000;
        color: #FFF;
	}	
	/*
	Label the data
	*/
	td:nth-of-type(1):before { content: "Lundi"; }
	td:nth-of-type(2):before { content: "Mardi"; }
	td:nth-of-type(3):before { content: "Mercredi"; }
	td:nth-of-type(4):before { content: "Jeudi"; }
	td:nth-of-type(5):before { content: "Vendredi"; }
	td:nth-of-type(6):before { content: "Samedi"; }
	

	.main-nav-block{
		position: relative;
  		display: block;
  		right: 0;
	}
	header {
		padding: 0 !important;
	}
	.entry-content > *:not(.alignfull){
		padding-left: 32px !important;
		padding-right: 32px !important;
	}
	.wp-block-spacer{
		height: 20px;
		max-height: 20px;
	}
	.banner-img > .has-background{
		background-image: none !important;
	}
	.wp-block-media-text, .wp-block-media-text > .wp-block-media-text__content {
		max-width: 100% !important;
		padding: 0 !important;
	}
	.wp-block-buttons.is-content-justification-right {
		justify-content: center !important;
	}
	.puzzle-title{
		text-align: center;
	}
	.puzzle-title .is-layout-flow > .alignright {
		float: none;
		margin-left: auto;
		margin-right: auto;
		margin-bottom: 16px;
	}
	
}

@media (prefers-color-scheme: dark) {
        :root {
          --image-filter: grayscale(0%);
        }
 
        img:not([src*=".svg"]) {
          filter: var(--image-filter);
        }
      }